[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dummy interpreters



At 04:48 PM 1/6/97 +0100, Christian Schwarz wrote:
>
>Should I make the package depend on tk now? It works perfectly without tk.
>So IMHO I would specify tk as `suggested'. (The way dselect handles
>`recommends' makes it to hard for the user not to install the package--but
>that's another discussion.)
>
>But if I only `suggest' tk one might not install it and fail when one
>tries to start xblast_setup. There is only 2 solution I see to prevent
>this: Disable xblast_setup in some way.

You can make a wrapper for it with something like
        if [ -x /usr/bin/wish ]
        do
                xblast_setup.real
        else
                echo 'To run xblast_setup you need to install the tk package'
        done

Don't yell at me for mistakes in the above script I do not profess to be a
sh programming guru.

Shaya


--
TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-REQUEST@lists.debian.org . Trouble? e-mail to Bruce@Pixar.com


Reply to: